Qt 5.11 | Qt Quick | C++ Classes | ItemChangeData

Qt 5.11.3 Reference Documentation

# ItemChangeData Class

(QQuickItem::ItemChangeData)

Adds supplimentary information to the QQuickItem::itemChange() function. More...

Header: | #include <ItemChangeData>
qmake: | QT += quick

- List of all members, including inherited members

## Public Variables

bool | boolValue
QQuickItem * | item
qreal | realValue
QQuickWindow * | window

## Detailed Description

Adds supplimentary information to the QQuickItem::itemChange() function.

The meaning of each member of this class is defined by the change type.

See also QQuickItem::ItemChange.

## Member Variable Documentation

### bool ItemChangeData::boolValue

Contains supplimentary information to the QQuickItem::itemChange() function.

See also QQuickItem::ItemChange.

### QQuickItem *ItemChangeData::item

Contains supplimentary information to the QQuickItem::itemChange() function.

See also QQuickItem::ItemChange.

### qreal ItemChangeData::realValue

Contains supplimentary information to the QQuickItem::itemChange() function.

See also QQuickItem::ItemChange.

### QQuickWindow *ItemChangeData::window

Contains supplimentary information to the QQuickItem::itemChange() function.

See also QQuickItem::ItemChange.